Toggle webhook subscription enabled state
curl --request POST \
--url https://{notifuseDomain}/api/webhookSubscriptions.toggle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "ws_1234567890",
"id": "whsub_a1b2c3d4e5f6",
"enabled": true
}
'import requests
url = "https://{notifuseDomain}/api/webhookSubscriptions.toggle"
payload = {
"workspace_id": "ws_1234567890",
"id": "whsub_a1b2c3d4e5f6",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspace_id: 'ws_1234567890', id: 'whsub_a1b2c3d4e5f6', enabled: true})
};
fetch('https://{notifuseDomain}/api/webhookSubscriptions.toggle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription": {
"id": "whsub_a1b2c3d4e5f6",
"name": "Production Webhook",
"url": "https://api.example.com/webhooks/notifuse",
"secret": "whsec_a1b2c3d4e5f6g7h8i9j0",
"settings": {
"event_types": [
"contact.created",
"contact.updated",
"email.sent"
],
"custom_event_filters": {
"goal_types": [
"purchase",
"subscription"
],
"event_names": [
"orders/fulfilled",
"payment.succeeded"
]
}
},
"event_types": [
"contact.created",
"contact.updated",
"email.sent"
],
"custom_event_filters": {
"goal_types": [
"purchase",
"subscription"
],
"event_names": [
"orders/fulfilled",
"payment.succeeded"
]
},
"enabled": true,
"last_delivery_at": "2024-01-15T10:30:00Z",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}Webhooks
Toggle webhook subscription enabled state
Enables or disables a webhook subscription. Disabled subscriptions will not receive events.
POST
/
api
/
webhookSubscriptions.toggle
Toggle webhook subscription enabled state
Authorizations
API token for authentication
Body
application/json
Response
Webhook subscription toggled successfully
A webhook subscription that receives HTTP callbacks when events occur
Show child attributes
Show child attributes
⌘I
